CVE-2019-12972

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

An issue was discovered in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.32. There is a heap-based buffer over-read in _bfd_doprnt in bfd.c because elf_object_p in elfcode.h mishandles an e_shstrndx section of type SHT_GROUP by omitting a trailing '\0' character.

References

http://lists.opensuse.org/opensuse-security-announce/2020-10/msg00078.html

http://lists.opensuse.org/opensuse-security-announce/2020-11/msg00004.html

http://www.securityfocus.com/bid/108903

https://security.gentoo.org/glsa/202007-39

https://sourceware.org/bugzilla/show_bug.cgi?id=24689

https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=890f750a3b053532a4b839a2dd6243076de12031

https://usn.ubuntu.com/4336-1/

Details

Source: MITRE

Published: 2019-06-26

Updated: 2020-11-02

Type: CWE-125

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 5.5

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 1.8

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:gnu:binutils:2.32:*:*:*:*:*:*:*

Tenable Plugins

View all (14 total)

IDNameProductFamilySeverity
151919Ubuntu 16.04 LTS : GNU binutils vulnerabilities (USN-4336-2)NessusUbuntu Local Security Checks
critical
143785SUSE SLES15 Security Update : binutils (SUSE-SU-2020:3552-1)NessusSuSE Local Security Checks
high
143614SUSE SLED15 / SLES15 Security Update : binutils (SUSE-SU-2020:3060-1)NessusSuSE Local Security Checks
high
142149openSUSE Security Update : binutils (openSUSE-2020-1804)NessusSuSE Local Security Checks
high
138962GLSA-202007-39 : Binutils: Multiple vulnerabilitiesNessusGentoo Local Security Checks
medium
137477EulerOS 2.0 SP2 : binutils (EulerOS-SA-2020-1635)NessusHuawei Local Security Checks
high
135966Ubuntu 18.04 LTS : GNU binutils vulnerabilities (USN-4336-1)NessusUbuntu Local Security Checks
critical
135628EulerOS Virtualization 3.0.2.2 : binutils (EulerOS-SA-2020-1466)NessusHuawei Local Security Checks
critical
135501EulerOS 2.0 SP3 : binutils (EulerOS-SA-2020-1372)NessusHuawei Local Security Checks
high
132828EulerOS Virtualization for ARM 64 3.0.5.0 : binutils (EulerOS-SA-2020-1074)NessusHuawei Local Security Checks
high
132594EulerOS 2.0 SP8 : binutils (EulerOS-SA-2020-1001)NessusHuawei Local Security Checks
medium
132353EulerOS 2.0 SP5 : binutils (EulerOS-SA-2019-2686)NessusHuawei Local Security Checks
high
128734Photon OS 2.0: Binutils PHSA-2019-2.0-0173NessusPhotonOS Local Security Checks
high
128729Photon OS 3.0: Binutils PHSA-2019-3.0-0026NessusPhotonOS Local Security Checks
medium